Commodity[MEAT].markup = 10.00;
Commodity[MEAT].value = 0.50;
Commodity[MEAT]:Membership(MAINSHOPPING);

Commodity[FISH].markup = 7.5;
Commodity[FISH].value = 0.60;
Commodity[FISH]:Membership(MAINSHOPPING);

Commodity[FRUIT_AND_VEG].markup = 5.85;
Commodity[FRUIT_AND_VEG].value = 0.65;
Commodity[FRUIT_AND_VEG]:Membership(MAINSHOPPING);

Commodity[BREAD].markup = 5.33;
Commodity[BREAD].value = 0.75;
Commodity[BREAD]:Membership(MAINSHOPPING);

Commodity[DAIRY_PRODUCE].markup = 7.50;
Commodity[DAIRY_PRODUCE].value = 0.60;
Commodity[DAIRY_PRODUCE]:Membership(MAINSHOPPING);

Commodity[DRINKS].markup = 12.00;
Commodity[DRINKS].value = 0.50;
Commodity[DRINKS]:Membership(ENTERTAINMENTSHOPPING);

Commodity[SWEETS].markup = 30.00;
Commodity[SWEETS].value = 0.10;
Commodity[SWEETS]:Membership(MAINSHOPPING);

Commodity[MEAL].markup = 5.00;
Commodity[MEAL].value = 3.00;
Commodity[MEAL]:Membership(ENTERTAINMENTSHOPPING);

Commodity[SNACK].markup = 3.60;
Commodity[SNACK].value = 2.50;
Commodity[SNACK]:Membership(MAINSHOPPING);

Commodity[FASTFOOD].markup = 10.67;
Commodity[FASTFOOD].value = 0.75;
Commodity[FASTFOOD]:Membership(ENTERTAINMENTSHOPPING);

Commodity[NEWSPAPER].markup = 5.00;
Commodity[NEWSPAPER].value = 0.50;
Commodity[NEWSPAPER]:Membership(MAINSHOPPING);

Commodity[BOOKS].markup = 5.00;
Commodity[BOOKS].value = 2.00;
Commodity[BOOKS]:Membership(MAINSHOPPING);

Commodity[MUSIC_TAPES].markup = 4.00;
Commodity[MUSIC_TAPES].value = 3.00;
Commodity[MUSIC_TAPES]:Membership(MAINSHOPPING);

Commodity[HEALTHCARE].markup = 7.50;
Commodity[HEALTHCARE].value = 2.00;
Commodity[HEALTHCARE]:Membership(MAINSHOPPING);

Commodity[RECREATIONAL_GOODS].markup = 5.00;
Commodity[RECREATIONAL_GOODS].value = 8.00;
Commodity[RECREATIONAL_GOODS]:Membership(MAINSHOPPING);

Commodity[JEWELLERY].markup = 3.33;
Commodity[JEWELLERY].value = 15.00;
Commodity[JEWELLERY]:Membership(MAINSHOPPING);

Commodity[ELECTRICAL_GOODS].markup = 3.40;
Commodity[ELECTRICAL_GOODS].value = 10.00;
Commodity[ELECTRICAL_GOODS]:Membership(MAINSHOPPING);

Commodity[FURNITURE].markup = 4.00;
Commodity[FURNITURE].value = 15.00;
Commodity[FURNITURE]:Membership(MAINSHOPPING);

Commodity[ANTIQUES].markup = 5.00;
Commodity[ANTIQUES].value = 11.00;
Commodity[ANTIQUES]:Membership(MAINSHOPPING);

Commodity[CLOTHING].markup = 6.00;
Commodity[CLOTHING].value = 5.00;
Commodity[CLOTHING]:Membership(MAINSHOPPING);

Commodity[TOYS].markup = 3.60;
Commodity[TOYS].value = 5.00;
Commodity[TOYS]:Membership(MAINSHOPPING);

Commodity[TOOLS_AND_HARDWARE].markup = 2.67;
Commodity[TOOLS_AND_HARDWARE].value = 6.00;
Commodity[TOOLS_AND_HARDWARE]:Membership(MAINSHOPPING);

Commodity[VIDEOS].markup = 3.50;
Commodity[VIDEOS].value = 4.00;
Commodity[VIDEOS]:Membership(ENTERTAINMENTSHOPPING);

Commodity[COMPUTERS].markup = 4.00;
Commodity[COMPUTERS].value = 20.00;
Commodity[COMPUTERS]:Membership(MAINSHOPPING);

Commodity[SOUVENIRS].markup = 4.00;
Commodity[SOUVENIRS].value = 3.00;
Commodity[SOUVENIRS]:Membership(MAINSHOPPING);

Commodity[DANCING].markup = 11.67;
Commodity[DANCING].value = 1.50;
Commodity[DANCING]:Membership(ENTERTAINMENTSHOPPING);

Commodity[PERFORMANCE].markup = 17.00;
Commodity[PERFORMANCE].value = 1.00;
Commodity[PERFORMANCE]:Membership(ENTERTAINMENTSHOPPING);

Commodity[MOVIES].markup = 11.00;
Commodity[MOVIES].value = 1.00;
Commodity[MOVIES]:Membership(ENTERTAINMENTSHOPPING);

Commodity[GAMING].markup = 13.00;
Commodity[GAMING].value = 0.75;
Commodity[GAMING]:Membership(ENTERTAINMENTSHOPPING);

Commodity[CELL_PHONES].markup = 10.00;
Commodity[CELL_PHONES].value = 4.00;
Commodity[CELL_PHONES]:Membership(MAINSHOPPING);

Commodity[VACATIONS].markup = 5.00;
Commodity[VACATIONS].value = 20.00;
Commodity[VACATIONS]:Membership(MAINSHOPPING);

Commodity[STAY_OVER].markup = 25.00;
Commodity[STAY_OVER].value = 1.00;
Commodity[STAY_OVER]:Membership(STAYOVERSHOPPING);


 
---------------------------------------------------------
-- Setup commodities available at the start of the '30's
---------------------------------------------------------

for i, v in Commodity do
	v.active = false;
end;

Commodity[MEAT].active = true;
Commodity[FISH].active = true;
Commodity[FRUIT_AND_VEG].active = true;
Commodity[BREAD].active = true;
Commodity[DAIRY_PRODUCE].active = true;
Commodity[DRINKS].active = true;
Commodity[MEAL].active = true;
Commodity[SNACK].active = true;
Commodity[NEWSPAPER].active = true;
Commodity[BOOKS].active = true;
Commodity[HEALTHCARE].active = true;
Commodity[JEWELLERY].active = true;
Commodity[ELECTRICAL_GOODS].active = true;
Commodity[FURNITURE].active = true;
Commodity[CLOTHING].active = true;
Commodity[TOYS].active = true;
Commodity[TOOLS_AND_HARDWARE].active = true;
Commodity[SOUVENIRS].active = true;
Commodity[DANCING].active = true;
Commodity[PERFORMANCE].active = true;
Commodity[MOVIES].active = true;
Commodity[STAY_OVER].active = true;